Bug 250709 - xpdf complains every time "Cannot convert string ..."
xpdf complains every time "Cannot convert string ..."
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xpdf (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 23:22 EDT by Michal Jaegermann
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.02-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-17 12:15:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
make X happy with FontStruct description strings (1.58 KB, patch)
2007-08-02 23:22 EDT, Michal Jaegermann
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2007-08-02 23:22:03 EDT
Description of problem:

xpdf has an annoying habit to announce every time when a pdf file
is opened:

Warning: Cannot convert string
"-*-courier-medium-r-normal--12-*-*-*-*-*-iso8859-1" to type FontStruct

Guess what?  'xfd -fn ...' also has problems with that string although
"-*-courier-medium-r-*-12-*-*-*-*-*-iso8859-1" is not an issue.

Attached patch shuts that down.  It is possibly a bit excessive.
OTOH xfd does not have any complaints too.

Version-Release number of selected component (if applicable):
xpdf-3.02-1.fc7

How reproducible:
always
Comment 1 Michal Jaegermann 2007-08-02 23:22:03 EDT
Created attachment 160574 [details]
make X happy with FontStruct description strings
Comment 2 Fedora Update System 2007-08-08 11:27:58 EDT
xpdf-3.02-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-08-17 12:14:59 EDT
xpdf-3.02-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.